Crack

Crack

Post by Anup Vachal » Fri, 09 Oct 1998 04:00:00



Hi Everyone!!!
    I'm trying to compile Crack5 as part of a project on Unix security
tools.
When I say Crack -makeonly I get the following errors.....
---------------------
Crack: making utilities in run/bin/sunos-5-sparc
find . -name "*~" -print | xargs -n50 rm -f
( cd src; for dir in * ; do ( cd $dir ; make clean ) ; done )
rm -f dawglib.o debug.o rules.o stringlib.o *~
/bin/rm -f *.o tags core rpw destest des speed libdes.a .nfs* *.old \
*.bak destest rpw des speed
rm -f *.o *~
( make "XDIR=../../run/bin/sunos-5-sparc" "XCFLAGS=-g -O -DUSE_STRING_H
-DUSE_ST
DLIB_H -DUSE_SIGNAL_H -DUSE_SYS_TYPES_H -DUSE_UNISTD_H -DUSE_PWD_H"
dawglib.o de
bug.o rules.o stringlib.o || exit 1 )
cc -g -O -DUSE_STRING_H -DUSE_STDLIB_H -DUSE_SIGNAL_H -DUSE_SYS_TYPES_H
-DUSE_UN
ISTD_H -DUSE_PWD_H  -c  dawglib.c
/usr/ucb/cc:  language optional software package not installed
*** Error code 1
make: Fatal error: Command failed for target `dawglib.o'
Current working directory /home/vachalia/security/crack/c50a/src/lib
*** Error code 1
make: Fatal error: Command failed for target
`../../run/bin/sunos-5-sparc/libc5.
a'
Current working directory /home/vachalia/security/crack/c50a/src/lib
*** Error code 1
make: Fatal error: Command failed for target `library'

---------------
Similarly, when I run Crack -makedict it gives the following errors:

Crack: making utilities in run/bin/sunos-5-sparc
find . -name "*~" -print | xargs -n50 rm -f
( cd src; for dir in * ; do ( cd $dir ; make clean ) ; done )
rm -f dawglib.o debug.o rules.o stringlib.o *~
/bin/rm -f *.o tags core rpw destest des speed libdes.a .nfs* *.old \
*.bak destest rpw des speed
rm -f *.o *~
( make "XDIR=../../run/bin/sunos-5-sparc" "XCFLAGS=-g -O -DUSE_STRING_H
-DUSE_STDLI
B_H -DUSE_SIGNAL_H -DUSE_SYS_TYPES_H -DUSE_UNISTD_H -DUSE_PWD_H"
dawglib.o debug.o
rules.o stringlib.o || exit 1 )
cc -g -O -DUSE_STRING_H -DUSE_STDLIB_H -DUSE_SIGNAL_H -DUSE_SYS_TYPES_H
-DUSE_UNIST
D_H -DUSE_PWD_H  -c  dawglib.c
/usr/ucb/cc:  language optional software package not installed
*** Error code 1
make: Fatal error: Command failed for target `dawglib.o'
Current working directory /home/vachalia/security/crack/c50a/src/lib
*** Error code 1
make: Fatal error: Command failed for target
`../../run/bin/sunos-5-sparc/libc5.a'
Current working directory /home/vachalia/security/crack/c50a/src/lib
*** Error code 1
make: Fatal error: Command failed for target `library'
------------------
Could someone help me with this.
Thanks in advance,
Anup

 
 
 

Crack

Post by Kevin Connoll » Sat, 10 Oct 1998 04:00:00



> Hi Everyone!!!
>     I'm trying to compile Crack5 as part of a project on Unix security
> tools.
> When I say Crack -makeonly I get the following errors.....

[snip]
> /usr/ucb/cc:  language optional software package not installed

Er, you don't seem to have any compiler. It's an optional extra with
Solaris.

--
Remove the NOSPAM from the reply address
Kevin Connolly, EI4ANB

ICBM: 51 40.2'N   08 29.7'W

 
 
 

Crack

Post by Dr. Wolfgang Otrebsk » Sat, 10 Oct 1998 04:00:00


Kevin Connolly schrieb:


> [snip]
> > /usr/ucb/cc:  language optional software package not installed

> Er, you don't seem to have any compiler. It's an optional extra with
> Solaris.

Yeah, verily! - but there is a way around this. Get the gcc binaries
for the sun from the web and compile away!
(gcc = GNU C compiler)
May all those bastards who sell a UNIX and take out the C compiler
go to /dev/null - do not pass GO - do not collect $200 ...

HTH, wolfgang
--
Standard disclaimer applies (anyone following advice given here does so
at her/his own risk - I speak for myself and not for my employer).

 
 
 

Crack

Post by Dave Wresk » Sat, 10 Oct 1998 04:00:00



> Hi Everyone!!!
>     I'm trying to compile Crack5 as part of a project on Unix security
> tools.
> When I say Crack -makeonly I get the following errors.....

[...]

Quote:> /usr/ucb/cc:  language optional software package not installed
> *** Error code 1

Solaris does not come with all the components necessary to use the
compiler.  You need to download the GNU compiler, or purchase a
commercial one.  My suggestion would be to find an old 486 and put Linux
on it, and dedicate that machine for security testing.  Many of the
security tools are fully functional on Linux first, as well as most of
the sample exploits being available for Linux.

Otherwise, see the following URL for gcc for Solaris:

http://www.sunfreeware.com/

--
Dave Wreski

 
 
 

Crack

Post by Richard Knechte » Sat, 10 Oct 1998 04:00:00




> > Hi Everyone!!!
> >     I'm trying to compile Crack5 as part of a project on Unix security
> > tools.
> > When I say Crack -makeonly I get the following errors.....

> [...]

> > /usr/ucb/cc:  language optional software package not installed
> > *** Error code 1

> Solaris does not come with all the components necessary to use the
> compiler.  You need to download the GNU compiler, or purchase a
> commercial one.  My suggestion would be to find an old 486 and put Linux
> on it, and dedicate that machine for security testing.  Many of the
> security tools are fully functional on Linux first, as well as most of
> the sample exploits being available for Linux.

> Otherwise, see the following URL for gcc for Solaris:

> http://www.sunfreeware.com/

> --
> Dave Wreski

I just got my copy of Solaris for Intel and it had the c compiler with
it. And best of all it only cost $10 right from Sun! The Sparc version
was the same. and it's V2.6 with upgrade patch 2. (dated 5/98). Can't
complain...

RK.

 
 
 

Crack

Post by Joe Sha » Sat, 10 Oct 1998 04:00:00



> Hi Everyone!!!
>     I'm trying to compile Crack5 as part of a project on Unix security
> tools.
> When I say Crack -makeonly I get the following errors.....

It looks like the machine you're attempting to compile on doesn't have a
compiler.  Check www.sunfreeware.com for the GCC package.

Regards,

NetAdmin - Insync Internet Services

 
 
 

Crack

Post by Marc Slemk » Sat, 10 Oct 1998 04:00:00



It is really lame to use someone else's address.

Quote:>I just got my copy of Solaris for Intel and it had the c compiler with
>it. And best of all it only cost $10 right from Sun! The Sparc version
>was the same. and it's V2.6 with upgrade patch 2. (dated 5/98). Can't
>complain...

Check again.  Are you _sure_ you have the compiler?  You may have something
called cc, but that is just a shell script that tells you you don't have
a compiler.
 
 
 

Crack

Post by Alan J Rosenth » Sat, 10 Oct 1998 04:00:00



>    I'm trying to compile Crack5 as part of a project on Unix security
>tools.
>When I say Crack -makeonly I get the following errors.....

...

Quote:>/usr/ucb/cc:  language optional software package not installed

You need a compiler if you want to compile.
 
 
 

Crack

Post by Joe Abl » Sat, 10 Oct 1998 04:00:00




>> Hi Everyone!!!
>>     I'm trying to compile Crack5 as part of a project on Unix security
>> tools.
>> When I say Crack -makeonly I get the following errors.....

>[snip]
>> /usr/ucb/cc:  language optional software package not installed

>Er, you don't seem to have any compiler. It's an optional extra with
>Solaris.

On the other hand you may have a (non-workshop-pro) compiler installed,
but /usr/ucb may be earlier in your path than other directories.

Make sure that /usr/local/bin (and any other likely directories where a
compiler might be hiding) are in your path _before_ /usr/ucb. Then if you
do have a compiler installed, your Makefile has a fighting chance of
finding it.

--

Network Architect, CLEAR Net          I'm not speaking at all. I'm typing.